> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tangoanalytics.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Post loginvalidationnew user token

> Validates the new user token embedded in the link provided within a new User email sent during self-registration.

This operation requires a **Validate Token Request** argument which includes the following attributes:



## OpenAPI

````yaml /tango_reserve/integrations/guides/auth.yaml post /login/validation/new-user-token
openapi: 3.1.0
info:
  description: auth
  version: '2.0'
  title: Reserve Auth API
servers:
  - url: /auth/
security: []
tags:
  - name: ApplicationDomainService
    description: |-
      This service handles retrieving Authentication Domain values for an
      application.
  - name: ApplicationLoginService
    description: Handles application authentication.
  - name: LogoutService
    description: Provides user logout services.
  - name: UserLoginService
  - name: UserPasswordService
    description: Handles password managing.
paths:
  /login/validation/new-user-token:
    post:
      tags:
        - UserLoginService
      description: >-
        Validates the new user token embedded in the link provided within a new
        User email sent during self-registration.


        This operation requires a **Validate Token Request** argument which
        includes the following attributes:
      operationId: validateNewUserToken
      parameters: []
      requestBody:
        required: false
        content:
          application/json:
            examples:
              example:
                value:
                  token: ...
            schema:
              $ref: '#/components/schemas/ValidateTokenRequest'
      responses:
        '201':
          content: {}
          description: Success
      security:
        - AppAuthToken: []
components:
  schemas:
    ValidateTokenRequest:
      type: object
      title: ValidateTokenRequest
      allOf:
        - $ref: '#/components/schemas/DependentData'
        - properties:
            token:
              type: string
      example:
        token: ...
    DependentData:
      type: object
      title: DependentData
      example: {}
  securitySchemes:
    AppAuthToken:
      type: apiKey
      in: header
      name: AQOB-AppAuthToken

````